ssim::SimImpl Class Reference

## Static Public Member Functions

static void | schedule (Time t, ActionType i, ProcessId p, const Event *e=0) throw ()
static void | schedule_now (ActionType i, ProcessId p, const Event *e=0) throw ()
static void | schedule (Time t, ActionType i, ProcessId p, const Event *e=0) throw ()
static void | schedule_now (ActionType i, ProcessId p, const Event *e=0) throw ()

## Detailed Description

Definition at line 90 of file ssim.cc.

## Member Function Documentation

## schedule() [1/2]

static void ssim::SimImpl::schedule | ( | Time | t,
|  | ActionType | i,
|  | ProcessId | p,
|  | const Event * | e = `0`
| ) |  |
throw | ( |
| ) |  |

inline static

Definition at line 92 of file ssim.cc.

## schedule() [2/2]

static void ssim::SimImpl::schedule | ( | Time | t,
|  | ActionType | i,
|  | ProcessId | p,
|  | const Event * | e = `0`
| ) |  |
throw | ( |
| ) |  |

inline static

Definition at line 92 of file ssim.cc.

## schedule_now() [1/2]

static void ssim::SimImpl::schedule_now | ( | ActionType | i,
|  | ProcessId | p,
|  | const Event * | e = `0`
| ) |  |
throw | ( |
| ) |  |

inline static

Definition at line 99 of file ssim.cc.

## schedule_now() [2/2]

static void ssim::SimImpl::schedule_now | ( | ActionType | i,
|  | ProcessId | p,
|  | const Event * | e = `0`
| ) |  |
throw | ( |
| ) |  |

inline static

Definition at line 99 of file ssim.cc.

The documentation for this class was generated from the following file:

- /home/marcle/src/R/microsimulation/src/ssim.cc